# class TkNamespace::ScopeArgs

### Public Class Methods

new(namespace, *args) click to toggle source
Calls superclass method

    # File lib/tk/namespace.rb, line 180
    def initialize(namespace, *args)
      @namespace = namespace
      super(args.size)
      self.replace(args)
    end

### Public Instance Methods

tk_call(*args) click to toggle source

alias __tk_call #tk_call alias __tk_call_without_enc #tk_call_without_enc alias __tk_call_with_enc #tk_call_with_enc

Calls superclass method

    # File lib/tk/namespace.rb, line 161
    def tk_call(*args)
      #super('namespace', 'eval', @namespace, *args)
      args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
      super('namespace', 'eval', @namespace,
            TkCore::INTERP._merge_tklist(*args))
    end

tk_call_with_enc(*args) click to toggle source
Calls superclass method

    # File lib/tk/namespace.rb, line 173
    def tk_call_with_enc(*args)
      #super('namespace', 'eval', @namespace, *args)
      args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
      super('namespace', 'eval', @namespace,
            TkCore::INTERP._merge_tklist(*args))
    end

tk_call_without_enc(*args) click to toggle source
Calls superclass method

    # File lib/tk/namespace.rb, line 167
    def tk_call_without_enc(*args)
      #super('namespace', 'eval', @namespace, *args)
      args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
      super('namespace', 'eval', @namespace,
            TkCore::INTERP._merge_tklist(*args))
    end